;---Executable settings:

DEBUGMODE = 1
; 1 = Standard display.  1 = Visual update of FM channels and you can press SPACE to fast forward the song.

BUILDHEADER = 1
; 0 = Build without BASIC header. (for crunching)   1 = Build with BASIC header.

REPLAYMODE = 0
; 1 = Build only the player section.  (default: init = $0801 , play = $0804)

NTSC = 0
; 0 = Build with PAL frequency table.  1 = Build with NTSC frequency table.

;---Memory settings: 

sidregs = $10
; Start address of sid data buffer.  By default it uses the zero page but can be moved elsewhere.
 
;---Playback settings/optimizations:

OPTIMIZENOTE = 1
; This option checks if the previous gate/note is the same and doesn't send an update, saves rastertime.  Should be working on hardware.

FORCESUSTAINSTART = 1
; This forces the first ADSR to always be sent to FM, can help with songs where the first note isn't audible.

NEWWAVEHANDLE = 1
; If this is enabled the new instrument handling code is used, when disabled the old version is used.  Recommended to use the new one, old is just for compatibility.

FIXEDNOISE = 1
; When enabled any noise ($8x) notes will be set to the fixed note in fmx_globals.asm

MUTEZERO = 1
; If this is enabled any silent note also has it's sustain/release muted.  Can help with more precise instruments if their volume is controlled by Sustain.

METALWAVES = 0
; When enabled any $fx waveforms are muted.  (used in some tracks)

SENDADSRONGATE = 0
; If this is enabled the ADSR is always sent on gate change.  Can help with longer fade in sweeps.
